All Mods

Published by Tarantel on Sat, 06/18/2022 - 22:03
Upvotes: 15
Supported MCreator versions
2022.1
Tags / plugin type
Mod support
empty
About the plugin

All Mods adding support to use compiled Mods inside your MCreator Devclient.

Currently supported MC Versions: 1.16.5, 1.17.1, 1.18.1, 1.18.2.

Drop the Plugin inside your plugins folder of your MCreator Installation.
Open MCreator and start your Workspace.
Go to Workspace/Workspace Settings/External APIs and enable "Use Compiled Mods".
Hit Save changes.
It will ask u for Refactor your Workspace.
Click Yes, refactor workspace.

Now go inside your Workspace Folder.
U see a folder called "extra-mods-yourminecraftversion".
Inside this Folder drop all Mods u want to test with your Mod.

 

Possible errors:
Optifine will not work and no support planned in the future!
One of the Mods is wrongly named by the Mod Creator.
Check for Filenames of the Mods 
modname-minecraftversion-modversion.jar
Example:
jei-1.16.5-7.7.1.152.jar (correct)

jei-7.7.1.152.jar (wrong)
jei-1.16.5.jar (wrong)

If a Mod Creator wrongly named the Mod u need to change the name to the correct one.

Project members
Developer
License
MIT License

Plugin downloads

Comments

That is such a simple API but very powerful, and I learnt something new I didn't know we could call the files locally well done I will give it a test when I have time and give any feed back soon as I get time to give it a true test.

Crashed With Attribute Fix.
I have the mod on extra-mods-1.18.2.
refactored workspace.(have this plugin in api menu enabled)
mod name is AttributeFix-1.18.2-14.0.2.jar

Good plugin, only one problem you need to specify that they have to regenerate the workspace for it to work...

Dont understand what u mean.
MCreator reads the build.gradle and mcreator.gradle content on every start of the devclient and this means it decompiles all mods inside the custum mods folder too.

Only thing u need to do is refactor workspace after enable the plugin inside your workspace settings.

That's what I'm talking about, I made the mistake of not refactoring. What happened is that I followed the instructions and it didn't work for me when I started the client only when I refactored the game.

i have an error in my workspace with 30 mods https://pastebin.com/GWJEZWeA please help if u can

Hey ^^
whats the problem exactly ?
it wont load or its a crash from time to time ?
Already tried to make a Workspace with your Modlist and all is working atm.
But maybe i use dif versions of mods like u.
I use the recommended versions of the mods who need Forge 40.1.14.
U can try to open your build.gradle and search for
dependencies {
minecraft 'net.minecraftforge:forge:1.18.2-40.1.0'
}

and change net.minecraftforge:forge:1.18.2-40.1.0 to net.minecraftforge:forge:1.18.2-40.1.14

It keeps breaking my gradle and making my mod completely unrecoverable when I start to add mods to my extra mods folder